Technical Support Pages

 

Title
I installed the SCO Daylight Savings Time Patch 1.0.0 on our SCO OpenServer 5.0.x and BackupEDGE ceases to function.
Keywords
DST SCO OpenServer 5.0.6 BackupEDGE 02.01.05 libgcrypt.so.1
Product Release(s)
02.01.04 build 2 through 02.01.05 build 5
Operating System(s)
SCO Openserver 5.0x
Problem Description
Installing the DST Patch ver. 1.0.0 from SCO causes BackupEDGE to fail with a shared library error.
Cause
The SCO OpenServer 5 Daylight Savings Time Patch changes the way shared libraries are handled, which causes BackupEDGE to stop functioning.
Solution
For SCO 5.0.7 all versions of BackupEDGE beginning with 02.01.04 b2 will work on OpenServer 5.0.7 with all maintenance packs to date. For SCO 5.0.6 Make sure all SCO pre-requisite patches and updates, such as RS506A, have been installed.

Make sure your BackupEDGE has been updated to 02.01.05 build 5. This is the latest release and is a free update to any system with a licensed version of a BackupEDGE 02.00.0x or 02.01.0x product. No release earlier than 02.01.04 build 2 is compatible with this procedure.

Install the DST patch. It is not necessary to re-boot the system. Recreate and test your RecoverEDGE media.

Alernate Procedure Use only in emergencies. This has not been tested with versions of BackupEDGE prior to 02.01.04.

Download the following into the /tmp directory of the target system.

ftp://ftp.microlite.com/pub/fixes/libgcrypt-mlite.sco5

Type the following command:

cat /tmp/libgcrypt-mlite.sco5 >/usr/lib/libgcrypt-mlite.so1

This command is on one line, even if it appears as two in your browser. This may be done before or after installing the DST patch.

For SCO 5.0.5 Make sure all SCO pre-requisite patches and updates, such as RS505A, OSS600a have been installed.

Make sure your BackupEDGE has been updated to 02.01.05 build 5. This is the latest release and is a free update to any system with a licensed version of a BackupEDGE 02.00.0x or 02.01.0x product. No release earlier than 02.01.04 build 5 is compatible with this procedure.

Install the DST patch. It is not necessary to re-boot the system. Recreate and test your RecoverEDGE media.

Alernate Procedure Use only in emergencies. This has not been tested with versions of BackupEDGE prior to 02.01.04.

Download the following into the /tmp directory of the target system.

ftp://ftp.microlite.com/pub/fixes/libgcrypt-mlite.sco5

Type the following command:

cat /tmp/libgcrypt-mlite.sco5 >/usr/lib/libgcrypt-mlite.so1

Get a printer-friendly version of this document

 

 

Last Updated - 2018/05/16

 

Top
MENU